Bug 1118994 - JON 3.1.2 Documentation says that JON can be used to patch EAP/EWS using Content Resource
Summary: JON 3.1.2 Documentation says that JON can be used to patch EAP/EWS using Cont...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.1.2,JON 3.0.1,JON 3.2.3,JON 3.3.8
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: post-GA
: JON 3.3.8
Assignee: Tyler Kelly
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 22:00 UTC by Praveen Adupa
Modified: 2017-10-25 05:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-25 05:03:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Praveen Adupa 2014-07-12 22:00:50 UTC
Description of problem:
JON 3.1.2 Documentation says that JON can be used to patch EAP/EWS using Content Resource. EAP/EWS can only be patched using at this point in JON 3.1.2 Documenatation needs to be updated.

Version-Release number of selected component (if applicable):


How reproducible:
https://access.redhat.com/documentation/en-US/JBoss_Operations_Network/3.1/html/Admin_Deploying_Applications_and_Content/creating-a-content-source.html#Enabling_the_default_JBoss_Patch_Content_Source


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jared MORGAN 2014-11-05 23:51:02 UTC
(In reply to Praveen Adupa from comment #0)
> Description of problem:
> JON 3.1.2 Documentation says that JON can be used to patch EAP/EWS using
> Content Resource. EAP/EWS can only be patched using at this point in JON
> 3.1.2 Documenatation needs to be updated.

My apologies, Praveen. I'm not sure what needs to be changed here.

Can you be more specific about what needs to be updated regarding patching EAP using Content Resource.

Comment 3 Praveen Adupa 2014-11-06 19:45:49 UTC
My understanding is that JON can NOT be used to path EAP/EWS. documentation says it otherwise and needs to be updated. let me know, in case my understanding is incorrect.

Comment 8 Tyler Kelly 2017-07-24 04:50:58 UTC
To clarify before I make any changes (to make sure I understand this issue correctly):

- patching using JON and the RSS feed only works for EAP 4.

patching does not work for:

- JBoss Web Server
- SOA-P
- JBoss Enterprise Data Services (EDS)
- EAP 5+

This applies to JON 3.1 - 3.3 but not JON 3.0.

Comment 9 Larry O'Leary 2017-10-03 18:13:34 UTC
It also applies to JON 3.0. Basically, the JBoss Patch Feed (aka JBoss CSP Patch Feed, JBoss Patch Content Source, JBoss Patch Repository) is only compatible with JBoss EAP 4 and nothing else.

Comment 10 Tyler Kelly 2017-10-05 03:55:13 UTC
Updated docs for JON 3.0 through 3.3, removing text indicating JON can update products other than EAP 4.

  JON 3.0 - fix applied to couple of sections (not required elsewhere)
    Git Commit:
https://gitlab.cee.redhat.com/tkelly/jon30/commit/7b2fd7820a028183d3ee6f9e70db22b728de8e93
    Git Merge:
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon30/merge_requests/19/commits
    Preview:
https://access.qa.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.0/html-single/manage_jboss_servers/#Applying_JBoss_Patches

  JON 3.1 - fix applied to couple of sections (not required elsewhere)
    Git Commit:
https://gitlab.cee.redhat.com/tkelly/jon31/commit/7b157addc5e3858df7bf07cd376ae1a4c9c3a43f
    Git Merge:
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon31/merge_requests/30/commits
    Preview:
https://access.qa.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.1/html-single/how_to_manage_jboss_servers/#Applying_JBoss_Patches

  JON 3.2 - changes throughout chapter 32.4. Applying JBoss Patches from the Patch RSS Feed
    Git Commit:
https://gitlab.cee.redhat.com/tkelly/jon32/commit/4a68c7a86f0148c21d52ab6cd2e6b0ac28407ec9
    Git Merge:
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon32/merge_requests/26/commits
    Preview:
https://access.qa.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.2/html-single/users_guide/#Applying_JBoss_Patches

  JON 3.3 changes throughout chapter 31.4. Applying JBoss Patches from the Patch RSS Feed
    Git Commit:
https://gitlab.cee.redhat.com/tkelly/doc-jon-docs/commit/cbd380b20d270f170d17aeeb849caca70ec22333
    Git Merge:
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/doc-jon-docs/merge_requests/66/commits
    Preview:
https://access.qa.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.3/html-single/users_guide/#Applying_JBoss_Patches

Comment 11 Tyler Kelly 2017-10-25 05:03:28 UTC
Merged to master branch:
    JON 33
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/doc-jon-docs/merge_requests/77
    JON 32
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon32/merge_requests/29
    JON 31
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon31/merge_requests/33
    JON 30
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon30/merge_requests/21

Merge to staging for publication:
    JON 33
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/doc-jon-docs/merge_requests/78
    JON 32
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon32/merge_requests/30
    JON 31
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon31/merge_requests/34
    JON 30
https://gitlab.cee.redhat.com/red-hat-jboss-operations-network-documentation/jon30/merge_requests/22

Changes now live on the customer portal:
    JON 33
https://access.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.3/html-single/users_guide/#Applying_JBoss_Patches
    JON 32
https://access.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.2/html-single/users_guide/#Applying_JBoss_Patches
    JON 31
https://access.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.1/html-single/how_to_manage_jboss_servers/#Applying_JBoss_Patches
    JON 30
https://access.redhat.com/documentation/en-us/red_hat_jboss_operations_network/3.0/html-single/manage_jboss_servers/#Applying_JBoss_Patches


Note You need to log in before you can comment on or make changes to this bug.